## dune-common 2.4.1

=== CMakeLists.txt ===
# set up project
project("dune-common" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.6)

# make sure our own modules are found
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake/modules")

# set the script dir for the macros.
set(DUNE_COMMON_SCRIPT_DIR "${PROJECT_SOURCE_DIR}/cmake/scripts")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# add subdirectories to execute CMakeLists.txt there
add_subdirectory("lib")
add_subdirectory("share")
add_subdirectory("dune")
add_subdirectory("bin")
add_subdirectory("m4")
add_subdirectory("am")
add_subdirectory("doc")
add_subdirectory("cmake/modules")
add_subdirectory("cmake/scripts")

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project()

=== am/CMakeLists.txt ===
install(PROGRAMS
  checklog
  cmake-pkg-config
  documentation
  doxygen
  global-rules
  headercheck
  inkscape.am
  latex
  no-check-without-lib
  sourcescheck
  top-rules
  webstuff
  DESTINATION ${CMAKE_INSTALL_DATADIR}/dune-common/am
)

=== bin/CMakeLists.txt ===
install(PROGRAMS
  am2cmake.py
  dunedoxynize
  duneproject
  dunecontrol
  git-whitespace-hook
  mpi-config
  dune-autogen
  DESTINATION ${CMAKE_INSTALL_BINDIR})

=== doc/CMakeLists.txt ===
add_subdirectory("doxygen")
add_subdirectory("buildsystem")
add_subdirectory("comm")
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/example.opts
  DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dunecontrol.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== lib/CMakeLists.txt ===
install(FILES dunemodules.lib dunecommonam2cmake.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== m4/CMakeLists.txt ===
install(PROGRAMS
        acx_blas.m4
        acx_lapack.m4
        acx_mpi.m4
        acx_pthread.m4
        ax_boost_base.m4
        ax_check_gl.m4
        ax_lang_compiler_ms.m4
        boost_fusion.m4
        cxx11_compiler.m4
        cxx11_is_indexable_support.m4
        cxx0x_nullptr.m4
        cxx11_constexpr.m4
        cxx11_final.m4
        cxx11_range_based_for.m4
        cxx11_std_declval.m4
        dune.m4
        dune_all.m4
        dune_autobuild.m4
        dune_boost_base.m4
        dune_check_lib.m4
        dune_common.m4
        dune_compiler.m4
        dune_cxa_demangle.m4
        dune_fortran.m4
        dune_deprecated.m4
        dune_docu.m4
        dune_linkcxx.m4
        dune_mpi.m4
        dune_stdthread.m4
        dune_streams.m4
        dune_unused.m4
        fortran_overwrite.m4
        gmp.m4
        hdf5.m4
        immdx_lib_metis.m4
        inkscape.m4
        mprotect.m4
        mpi-config.m4
        opengl.m4
        parmetis.m4
        umfpack.m4
        xdr.m4
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/aclocal
)

=== share/CMakeLists.txt ===
add_subdirectory("bash-completion")

=== cmake/modules/CMakeLists.txt ===
set(modules
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddParMETISFlags.cmake
  AddPTScotchFlags.cmake
  AddSuiteSparseFlags.cmake
  AddUMFPackFlags.cmake
  CheckCXX11Features.cmake
  DuneBoost.cmake
  DuneCMakePackageConfigHelpers.cmake
  DuneCommonMacros.cmake
  DuneCxaDemangle.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneEnableAllPackages.cmake
  DuneMacros.cmake
  DuneMPI.cmake
  DunePkgConfig.cmake
  DuneStreams.cmake
  DuneSymlinkOrCopy.cmake
  DuneTestMacros.cmake
  DuneTests.cmake
  FindBoostFusion.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindMETIS.cmake
  FindMProtect.cmake
  FindParMETIS.cmake
  FindPTScotch.cmake
  FindSuiteSparse.cmake
  FindThreadsCMake31.cmake
  FindUMFPack.cmake
  Headercheck.cmake
  LanguageSupport.cmake
  OverloadCompilerFlags.cmake
  UseInkscape.cmake
  UseLATEX.cmake)
set(test_programs CheckForPthreads.c)
install(FILES ${modules}
              ${test_programs}
        DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== cmake/scripts/CMakeLists.txt ===
set(modules
  CreateDoxyFile.cmake
  FinalizeHeadercheck.cmake
  FindFiles.cmake
  InstallFile.cmake
  RunDoxygen.cmake)

install(FILES ${modules} ${CMAKE_CURRENT_SOURCE_DIR}/BuildTests.cmake.in
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/cmake/scripts)

=== doc/buildsystem/CMakeLists.txt ===
dune_add_latex_document(buildsystem.tex FATHER_TARGET doc DEFAULT_PDF INPUTS ../Makefile.am ../../configure.ac ../example.opts)
create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/buildsystem.pdf ${CMAKE_INSTALL_DOCDIR}/buildsystem)

dune_add_latex_document(cmakefaq.tex FATHER_TARGET doc DEFAULT_PDF)
create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/cmakefaq.pdf ${CMAKE_INSTALL_DOCDIR}/buildsystem)

=== doc/comm/CMakeLists.txt ===
add_executable(poosc08 "poosc08.cc")
target_link_libraries(poosc08 "dunecommon")
add_executable(poosc08_test "poosc08_test.cc")
target_link_libraries(poosc08_test "dunecommon")
add_executable(indexset "indexset.cc")
target_link_libraries(indexset "dunecommon")
add_dune_mpi_flags("poosc08;poosc08_test;indexset")
dune_add_latex_document(communication.tex FATHER_TARGET doc
  BIBFILES communication.bib DEFAULT_SAFEPDF INPUTS poosc08_test.cc
  IMAGE_DIRS figures)
create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/communication.pdf ${CMAKE_INSTALL_DOCDIR}/comm communication_safepdf)

=== doc/doxygen/CMakeLists.txt ===
# quickhack for creating the Doxyfile.in and Doxyfile
add_doxygen_target()
install(FILES Doxystyle DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune-common/doc/doxygen)

=== debian/changelog ===
dune-common (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Mark libdune-common-dev as Multi-Arch: same.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 10:19:18 +0100

dune-common (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 13:18:16 +0100

=== debian/control ===
Source: dune-common
Section: libs
Priority: optional
Standards-Version: 3.9.6
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-common.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-common.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config
Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf

Package: libdune-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 pkg-config, python, python-pyparsing
Recommends: automake, autoconf, libtool
Suggests: libdune-common-dbg (= ${binary:Version}),
 libdune-common-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- basic classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the basic classes.

Package: libdune-common-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libdune-common-dev (= ${binary:Version})
Description: toolbox for solving PDEs -- basic classes (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the basic classes.

Package: libdune-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- basic classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the basic classes.

=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol
include debian/dune-debian.mk

%:
	dh $@ --parallel

override_dh_auto_install-arch:
	set -e; for d in am bin cmake dune lib m4 share; do \
	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
	done
	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
	mkdir doc/doxygen/html
	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"

	mv debian/tmp/usr/bin/mpi-config debian/tmp/usr/bin/dune-mpi-config
	mv debian/tmp/usr/bin/am2cmake.py debian/tmp/usr/bin/dune-am2cmake
	mv debian/tmp/usr/bin/git-whitespace-hook debian/tmp/usr/bin/dune-git-whitespace-hook

override_dh_auto_install-indep:
	$(MAKE) -C doc install DESTDIR="$(CURDIR)/debian/tmp"

override_dh_strip:
	dh_strip --dbg-package=libdune-common-dbg

## dune-common 2.5.0

=== debian/changelog ===
dune-common (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 12:58:14 +0100

dune-common (2.5.0~rc2-2) unstable; urgency=medium

  * Add Breaks+Replaces: libdune-functions-dev (<< 2.5.0~)
    (Closes: #847142)

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:41:24 +0100

dune-common (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.
  * dune-debian.mk: Restore variable for configure options.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:09:55 +0100

dune-common (2.5.0~rc1-3) experimental; urgency=medium

  * Call dh_sphinxdoc only when building arch-indep packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 22 Nov 2016 21:12:02 +0100

dune-common (2.5.0~rc1-2) experimental; urgency=medium

  * Patch: Add correct offset for end of chunk
    This should fix the build failure on 32bit architectures.
    + 0001-Add-correct-offset-for-end-of-chunk.patch
  * Use dh_sphinxdoc.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 22 Nov 2016 20:21:37 +0100

dune-common (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Switch to CMake.
  * dune-debian.mk: Simplify running tests.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 21 Nov 2016 20:37:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-common.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-common.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config
-Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, pgf, python3-sphinx
 
 Package: libdune-common-dev
 Section: libdevel
@@ -17,7 +17,9 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
  pkg-config, python, python-pyparsing
-Recommends: automake, autoconf, libtool
+Breaks: libdune-functions-dev (<< 2.5.0~)
+Replaces: libdune-functions-dev (<< 2.5.0~)
+Recommends: cmake, python3
 Suggests: libdune-common-dbg (= ${binary:Version}),
  libdune-common-doc (= ${source:Version})
 Provides: ${dune:shared-library}
@@ -47,7 +49,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: toolbox for solving PDEs -- basic classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DUNE_CTEST := $(CURDIR)/bin/dune-ctest
DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol
include debian/dune-debian.mk

%:
	dh $@ --parallel --builddirectory=build

override_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_install-arch:
	mv debian/tmp/usr/bin/am2cmake.py debian/tmp/usr/bin/dune-am2cmake
	mv debian/tmp/usr/bin/git-whitespace-hook debian/tmp/usr/bin/dune-git-whitespace-hook
	dh_install -a

override_dh_installdocs-indep:
	dh_installdocs
	dh_sphinxdoc

override_dh_strip:
	dh_strip --dbg-package=libdune-common-dbg

## dune-common 2.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-common" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 # make sure our own modules are found
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake/modules")
@@ -21,8 +21,6 @@
 add_subdirectory("share")
 add_subdirectory("dune")
 add_subdirectory("bin")
-add_subdirectory("m4")
-add_subdirectory("am")
 add_subdirectory("doc")
 add_subdirectory("cmake/modules")
 add_subdirectory("cmake/scripts")

=== bin/CMakeLists.txt ===
install(PROGRAMS
  am2cmake.py
  dune-ctest
  duneproject
  dunecontrol
  git-whitespace-hook
  dune-remove-autotools
  DESTINATION ${CMAKE_INSTALL_BINDIR})

=== doc/CMakeLists.txt ===
add_subdirectory("doxygen")
add_subdirectory("buildsystem")
add_subdirectory("comm")
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dunecontrol.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== cmake/modules/CMakeLists.txt ===
install(FILES
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddParMETISFlags.cmake
  AddPTScotchFlags.cmake
  AddSuiteSparseFlags.cmake
  AddUMFPackFlags.cmake
  AddVcFlags.cmake
  CheckCXXFeatures.cmake
  CheckForPthreads.c
  CMakeBuiltinFunctionsDocumentation.cmake
  DuneCommonMacros.cmake
  DuneCxaDemangle.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneEnableAllPackages.cmake
  DuneMacros.cmake
  DuneMPI.cmake
  DunePathHelper.cmake
  DunePkgConfig.cmake
  DuneSphinxCMakeDoc.cmake
  DuneStreams.cmake
  DuneSymlinkOrCopy.cmake
  DuneTestMacros.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindMETIS.cmake
  FindMProtect.cmake
  FindParMETIS.cmake
  FindPTScotch.cmake
  FindSphinx.cmake
  FindSuiteSparse.cmake
  FindThreadsCMake31.cmake
  FindUMFPack.cmake
  Headercheck.cmake
  LanguageSupport.cmake
  OverloadCompilerFlags.cmake
  UseInkscape.cmake
  UseLATEX.cmake
  DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== cmake/scripts/CMakeLists.txt ===
install(FILES
  conf.py.in
  CreateDoxyFile.cmake
  extract_cmake_data.py
  FinalizeHeadercheck.cmake
  index.rst.in
  InstallFile.cmake
  main77.cc.in
  RunDoxygen.cmake
  sphinx_cmake_dune.py
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/cmake/scripts)

=== doc/comm/CMakeLists.txt ===
add_executable(poosc08 "poosc08.cc")
target_link_libraries(poosc08 "dunecommon")

add_executable(poosc08_test "poosc08_test.cc")
target_link_libraries(poosc08_test "dunecommon")

add_executable(indexset "indexset.cc")
target_link_libraries(indexset "dunecommon")

add_dune_mpi_flags("poosc08;poosc08_test;indexset")

dune_add_latex_document(communication.tex
  FORCE_DVI
  BIBFILES communication.bib
  INPUTS poosc08_test.cc
  IMAGE_DIRS figures)
create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/communication.pdf ${CMAKE_INSTALL_DOCDIR}/comm communication_safepdf)

=== doc/doxygen/CMakeLists.txt ===
# create Doxyfile.in and Doxyfile
add_doxygen_target()

install(FILES Doxystyle DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune-common/doc/doxygen)

=== dune/common/CMakeLists.txt ===
add_subdirectory("parallel")
add_subdirectory("std")
add_subdirectory("test")

#build the library dunecommon
if(LAPACK_FOUND)
  set(_additional_libs ${LAPACK_LIBRARIES})
elseif(BLAS_FOUND)
  set(_additional_libs ${BLAS_LIBRARIES})
endif(LAPACK_FOUND)

dune_add_library("dunecommon"
  debugallocator.cc
  dynmatrixev.cc
  exceptions.cc
  fmatrixev.cc
  ios_state.cc
  parametertree.cc
  parametertreeparser.cc
  path.cc
  stdstreams.cc
  stdthread.cc
  ADD_LIBS "${_additional_libs}")

#install headers
install(FILES
        alignment.hh
        array.hh
        arraylist.hh
        bartonnackmanifcheck.hh
        bigunsignedint.hh
        binaryfunctions.hh
        bitsetvector.hh
        boundschecking.hh
        classname.hh
        concept.hh
        conditional.hh
        debugallocator.hh
        debugstream.hh
        deprecated.hh
        densematrix.hh
        densevector.hh
        diagonalmatrix.hh
        documentation.hh
        dotproduct.hh
        dynmatrix.hh
        dynmatrixev.hh
        dynvector.hh
        enumset.hh
        exceptions.hh
        float_cmp.cc
        float_cmp.hh
        fmatrix.hh
        fmatrixev.hh
        forloop.hh
        ftraits.hh
        function.hh
        fvector.hh
        gcd.hh
        genericiterator.hh
        gmpfield.hh
        hash.hh
        hybridutilities.hh
        identitymatrix.hh
        indent.hh
        indices.hh
        interfaces.hh
        ios_state.hh
        iteratorfacades.hh
        iteratorrange.hh
        lcm.hh
        lru.hh
        mallocallocator.hh
        math.hh
        matvectraits.hh
        nullptr.hh
        overloadset.hh
        parametertree.hh
        parametertreeparser.hh
        path.hh
        poolallocator.hh
        power.hh
        precision.hh
        propertymap.hh
        promotiontraits.hh
        proxymemberaccess.hh
        rangeutilities.hh
        reservedvector.hh
        shared_ptr.hh
        simd.hh
        singleton.hh
        sllist.hh
        stdstreams.hh
        stdthread.hh
        streamoperators.hh
        stringutility.hh
        timer.hh
        tuples.hh
        tupleutility.hh
        tuplevector.hh
        typelist.hh
        typetraits.hh
        typeutilities.hh
        unused.hh
        version.hh
        visibility.hh
DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common)

# Install some test headers, because they get used by tests in other modules
# We do this here as test will not be considered for make install
install(FILES test/iteratortest.hh
  test/checkmatrixinterface.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/test)

=== dune/common/parallel/CMakeLists.txt ===
add_subdirectory(test)

#install headers
install(FILES
        collectivecommunication.hh
        communicator.hh
        indexset.hh
        indicessyncer.hh
        interface.hh
        localindex.hh
        mpicollectivecommunication.hh
        mpiguard.hh
        mpihelper.hh
        mpitraits.hh
        plocalindex.hh
        remoteindices.hh
        selection.hh
        variablesizecommunicator.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/parallel)

=== dune/common/std/CMakeLists.txt ===
install(
  FILES
  apply.hh
  constexpr.hh
  final.hh
  noexcept.hh
  make_array.hh
  memory.hh
  type_traits.hh
  utility.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/std)

=== dune/common/test/CMakeLists.txt ===
dune_add_test(SOURCES arraylisttest.cc)

dune_add_test(SOURCES arraytest.cc)

dune_add_test(SOURCES bigunsignedinttest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES bitsetvectortest.cc)

dune_add_test(SOURCES boundscheckingtest.cc
              COMPILE_DEFINITIONS DUNE_CHECK_BOUNDS=1
              LINK_LIBRARIES dunecommon)
dune_add_test(SOURCES boundscheckingmvtest.cc
              COMPILE_DEFINITIONS DUNE_CHECK_BOUNDS=1
              LINK_LIBRARIES dunecommon)
dune_add_test(SOURCES boundscheckingoptest.cc
              COMPILE_DEFINITIONS DUNE_CHECK_BOUNDS=1
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES calloncetest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES check_fvector_size.cc)

dune_add_test(NAME check_fvector_size_fail1
              SOURCES check_fvector_size_fail.cc
              COMPILE_DEFINITIONS DIM=1
              EXPECT_COMPILE_FAIL)

dune_add_test(NAME check_fvector_size_fail2
              SOURCES check_fvector_size_fail.cc
              COMPILE_DEFINITIONS DIM=3
              EXPECT_COMPILE_FAIL)

dune_add_test(SOURCES classnametest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES concept.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES densematrixassignmenttest.cc
              LINK_LIBRARIES dunecommon)
dune_add_test(NAME densematrixassignmenttest_fail0
              SOURCES densematrixassignmenttest.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE0"
              EXPECT_COMPILE_FAIL)
dune_add_test(NAME densematrixassignmenttest_fail1
              SOURCES densematrixassignmenttest.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE1"
              EXPECT_COMPILE_FAIL)
dune_add_test(NAME densematrixassignmenttest_fail2
              SOURCES densematrixassignmenttest.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE2"
              EXPECT_COMPILE_FAIL)
dune_add_test(NAME densematrixassignmenttest_fail3
              SOURCES densematrixassignmenttest.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE3"
              EXPECT_COMPILE_FAIL)
dune_add_test(NAME densematrixassignmenttest_fail4
              SOURCES densematrixassignmenttest.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE4"
              EXPECT_COMPILE_FAIL)
dune_add_test(NAME densematrixassignmenttest_fail5
              SOURCES densematrixassignmenttest.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE5"
              EXPECT_COMPILE_FAIL)
dune_add_test(NAME densematrixassignmenttest_fail6
              SOURCES densematrixassignmenttest.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE6"
              EXPECT_COMPILE_FAIL)

dune_add_test(SOURCES diagonalmatrixtest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES dynmatrixtest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES dynvectortest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES densevectortest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES enumsettest.cc)

dune_add_test(NAME fmatrixtest
              SOURCES fmatrixtest.cc dummy.f
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES fvectortest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES genericiterator_compile_fail.cc
              EXPECT_COMPILE_FAIL)

dune_add_test(SOURCES gcdlcmtest.cc)

dune_add_test(SOURCES hybridutilitiestest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES indicestest.cc)

dune_add_test(SOURCES integersequence.cc)

dune_add_test(SOURCES iteratorfacadetest2.cc)

dune_add_test(SOURCES iteratorfacadetest.cc)

dune_add_test(SOURCES lrutest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES mpicollectivecommunication.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES mpiguardtest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES mpihelpertest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(NAME mpihelpertest2
              SOURCES mpihelpertest.cc
              COMPILE_DEFINITIONS MPIHELPER_PREINITIALIZE
              LINK_LIBRARIES dunecommon
              )

dune_add_test(SOURCES overloadsettest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES parametertreelocaletest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES parametertreetest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES pathtest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES poolallocatortest.cc)

dune_add_test(SOURCES rangeutilitiestest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES shared_ptrtest.cc)

dune_add_test(SOURCES singletontest.cc)

dune_add_test(SOURCES sllisttest.cc)

dune_add_test(SOURCES stdapplytest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES stdtypetraitstest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES streamoperatorstest.cc)

dune_add_test(SOURCES streamtest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES stringutilitytest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES testdebugallocator.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(NAME testdebugallocator_fail1
              SOURCES testdebugallocator.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE1;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
              EXPECT_FAIL)

dune_add_test(NAME testdebugallocator_fail2
              SOURCES testdebugallocator.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE2;EXPECTED_SIGNAL=SIGABRT"
              EXPECT_FAIL)

dune_add_test(NAME testdebugallocator_fail3
              SOURCES testdebugallocator.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE3;EXPECTED_SIGNAL=SIGABRT"
              EXPECT_FAIL)

dune_add_test(NAME testdebugallocator_fail4
              SOURCES testdebugallocator.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE4;DEBUG_ALLOCATOR_KEEP=1;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
              EXPECT_FAIL)

dune_add_test(NAME testdebugallocator_fail5
              SOURCES testdebugallocator.cc
              LINK_LIBRARIES dunecommon
              COMPILE_DEFINITIONS "FAILURE5;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
              EXPECT_FAIL)

dune_add_test(SOURCES testfloatcmp.cc)

dune_add_test(SOURCES tupleutilitytest.cc)

dune_add_test(SOURCES utilitytest.cc)

dune_add_test(SOURCES eigenvaluestest.cc
              LINK_LIBRARIES dunecommon
              CMAKE_GUARD LAPACK_FOUND)

install(
  FILES
  testsuite.hh
  collectorstream.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/test)

=== share/bash-completion/completions/CMakeLists.txt ===
install(FILES
  dunecontrol
  DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions/
)

=== debian/changelog ===
dune-common (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867073)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 11:53:29 +0200

dune-common (2.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * No longer build manual -dbg package. Use the automatically generated
    -dbgsym package instead.
  * dune-debian.mk: do not limit number of MPI ranks to number of cores
    when running tests. (Closes: #850229)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Jun 2017 15:48:18 +0200

=== debian/control ===
Source: dune-common
Section: libs
Priority: optional
Standards-Version: 4.0.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-common.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-common.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures, python3-sphinx

Package: libdune-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 pkg-config, python, python-pyparsing
Breaks: libdune-functions-dev (<< 2.5.0~)
Replaces: libdune-functions-dev (<< 2.5.0~)
Recommends: cmake, python3
Suggests: libdune-common-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- basic classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the basic classes.

Package: libdune-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: toolbox for solving PDEs -- basic classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the basic classes.

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,3 @@
 override_dh_installdocs-indep:
 	dh_installdocs
 	dh_sphinxdoc
-
-override_dh_strip:
-	dh_strip --dbg-package=libdune-common-dbg

## dune-common 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-common" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1)
 
 # make sure our own modules are found
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake/modules")

=== dune/CMakeLists.txt ===
add_subdirectory("common")

=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -7,17 +7,23 @@
   AddUMFPackFlags.cmake
   AddVcFlags.cmake
   CheckCXXFeatures.cmake
-  CheckForPthreads.c
   CMakeBuiltinFunctionsDocumentation.cmake
   DuneCommonMacros.cmake
   DuneCxaDemangle.cmake
   DuneDoc.cmake
   DuneDoxygen.cmake
   DuneEnableAllPackages.cmake
+  DuneExecuteProcess.cmake
   DuneMacros.cmake
   DuneMPI.cmake
   DunePathHelper.cmake
   DunePkgConfig.cmake
+  DunePythonCommonMacros.cmake
+  DunePythonFindPackage.cmake
+  DunePythonInstallPackage.cmake
+  DunePythonRequireVersion.cmake
+  DunePythonTestCommand.cmake
+  DunePythonVirtualenv.cmake
   DuneSphinxCMakeDoc.cmake
   DuneStreams.cmake
   DuneSymlinkOrCopy.cmake
@@ -30,7 +36,7 @@
   FindPTScotch.cmake
   FindSphinx.cmake
   FindSuiteSparse.cmake
-  FindThreadsCMake31.cmake
+  FindTBB.cmake
   FindUMFPack.cmake
   Headercheck.cmake
   LanguageSupport.cmake

=== cmake/scripts/CMakeLists.txt ===
install(FILES
  conf.py.in
  CreateDoxyFile.cmake
  envdetect.py
  extract_cmake_data.py
  FinalizeHeadercheck.cmake
  index.rst.in
  InstallFile.cmake
  main77.cc.in
  module_library.cc.in
  pyversion.py
  run-in-dune-env.sh.in
  RunDoxygen.cmake
  sphinx_cmake_dune.py
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/cmake/scripts)

=== doc/comm/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,6 @@
 add_dune_mpi_flags("poosc08;poosc08_test;indexset")
 
 dune_add_latex_document(communication.tex
-  FORCE_DVI
   BIBFILES communication.bib
-  INPUTS poosc08_test.cc
-  IMAGE_DIRS figures)
-create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/communication.pdf ${CMAKE_INSTALL_DOCDIR}/comm communication_safepdf)
+  INPUTS poosc08_test.cc)
+create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/communication.pdf ${CMAKE_INSTALL_DOCDIR}/comm communication)

=== dune/common/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,13 @@
   set(_additional_libs ${BLAS_LIBRARIES})
 endif(LAPACK_FOUND)
 
+if(HAVE_MPROTECT)
+  set(debugallocator_src "debugallocator.cc")
+endif(HAVE_MPROTECT)
+
 dune_add_library("dunecommon"
-  debugallocator.cc
+  debugalign.cc
+  ${debugallocator_src}
   dynmatrixev.cc
   exceptions.cc
   fmatrixev.cc
@@ -22,11 +27,14 @@
   stdthread.cc
   ADD_LIBS "${_additional_libs}")
 
+add_dune_tbb_flags(dunecommon)
 #install headers
 install(FILES
         alignment.hh
+        alignedallocator.hh
         array.hh
         arraylist.hh
+        assertandreturn.hh
         bartonnackmanifcheck.hh
         bigunsignedint.hh
         binaryfunctions.hh
@@ -35,6 +43,7 @@
         classname.hh
         concept.hh
         conditional.hh
+        debugalign.hh
         debugallocator.hh
         debugstream.hh
         deprecated.hh
@@ -48,6 +57,7 @@
         dynvector.hh
         enumset.hh
         exceptions.hh
+        filledarray.hh
         float_cmp.cc
         float_cmp.hh
         fmatrix.hh
@@ -68,6 +78,7 @@
         ios_state.hh
         iteratorfacades.hh
         iteratorrange.hh
+        keywords.hh
         lcm.hh
         lru.hh
         mallocallocator.hh
@@ -102,6 +113,7 @@
         typetraits.hh
         typeutilities.hh
         unused.hh
+        vc.hh
         version.hh
         visibility.hh
 DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common)

=== share/bash-completion/CMakeLists.txt ===
add_subdirectory("completions")

=== dune/common/std/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
   noexcept.hh
   make_array.hh
   memory.hh
+  optional.hh
   type_traits.hh
   utility.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/std)

=== dune/common/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,23 @@
+dune_add_test(SOURCES arithmetictestsuitetest.cc
+              LINK_LIBRARIES dunecommon)
+
 dune_add_test(SOURCES arraylisttest.cc)
 
+dune_add_test(SOURCES arraydeprecationtest.cc)
+
 dune_add_test(SOURCES arraytest.cc)
+
+dune_add_test(SOURCES assertandreturntest.cc
+              LINK_LIBRARIES dunecommon)
+dune_add_test(NAME assertandreturntest_compiletime_fail
+              SOURCES assertandreturntest.cc
+              LINK_LIBRARIES dunecommon
+              COMPILE_DEFINITIONS "TEST_COMPILETIME_FAIL"
+              EXPECT_COMPILE_FAIL)
+dune_add_test(NAME assertandreturntest_ndebug
+              SOURCES assertandreturntest.cc
+              LINK_LIBRARIES dunecommon
+              COMPILE_DEFINITIONS "TEST_NDEBUG")
 
 dune_add_test(SOURCES bigunsignedinttest.cc
               LINK_LIBRARIES dunecommon)
@@ -38,6 +55,9 @@
 dune_add_test(SOURCES concept.cc
               LINK_LIBRARIES dunecommon)
 
+dune_add_test(SOURCES debugaligntest.cc
+              LINK_LIBRARIES dunecommon)
+
 dune_add_test(SOURCES densematrixassignmenttest.cc
               LINK_LIBRARIES dunecommon)
 dune_add_test(NAME densematrixassignmenttest_fail0
@@ -90,8 +110,13 @@
 
 dune_add_test(SOURCES enumsettest.cc)
 
-dune_add_test(NAME fmatrixtest
-              SOURCES fmatrixtest.cc dummy.f
+dune_add_test(SOURCES filledarraytest.cc)
+
+dune_add_test(SOURCES fmatrixtest.cc
+              LINK_LIBRARIES dunecommon)
+add_dune_vc_flags(fmatrixtest)
+
+dune_add_test(SOURCES functiontest.cc
               LINK_LIBRARIES dunecommon)
 
 dune_add_test(SOURCES fvectortest.cc
@@ -117,23 +142,35 @@
               LINK_LIBRARIES dunecommon)
 
 dune_add_test(SOURCES mpicollectivecommunication.cc
-              LINK_LIBRARIES dunecommon)
+              LINK_LIBRARIES dunecommon
+              MPI_RANKS 1 2 4 8
+              TIMEOUT 300)
 
 dune_add_test(SOURCES mpiguardtest.cc
-              LINK_LIBRARIES dunecommon)
+              LINK_LIBRARIES dunecommon
+              MPI_RANKS 1 2 4 8
+              TIMEOUT 300)
 
 dune_add_test(SOURCES mpihelpertest.cc
-              LINK_LIBRARIES dunecommon)
+              LINK_LIBRARIES dunecommon
+              MPI_RANKS 1 2 4 8
+              TIMEOUT 300)
 
 dune_add_test(NAME mpihelpertest2
               SOURCES mpihelpertest.cc
               COMPILE_DEFINITIONS MPIHELPER_PREINITIALIZE
               LINK_LIBRARIES dunecommon
+              MPI_RANKS 1 2 4 8
+              TIMEOUT 300)
+
+dune_add_test(SOURCES overloadsettest.cc
+              LINK_LIBRARIES dunecommon)
+
+dune_add_test(NAME parameterizedobjecttest
+              SOURCES parameterizedobjecttest.cc parameterizedobjectfactorysingleton.cc
+              LINK_LIBRARIES dunecommon
               )
 
-dune_add_test(SOURCES overloadsettest.cc
-              LINK_LIBRARIES dunecommon)
-
 dune_add_test(SOURCES parametertreelocaletest.cc
               LINK_LIBRARIES dunecommon)
 
@@ -148,6 +185,9 @@
 dune_add_test(SOURCES rangeutilitiestest.cc
               LINK_LIBRARIES dunecommon)
 
+dune_add_test(SOURCES reservedvectortest.cc
+              LINK_LIBRARIES dunecommon)
+
 dune_add_test(SOURCES shared_ptrtest.cc)
 
 dune_add_test(SOURCES singletontest.cc)
@@ -169,50 +209,71 @@
               LINK_LIBRARIES dunecommon)
 
 dune_add_test(SOURCES testdebugallocator.cc
-              LINK_LIBRARIES dunecommon)
+              LINK_LIBRARIES dunecommon
+              CMAKE_GUARD HAVE_MPROTECT)
 
 dune_add_test(NAME testdebugallocator_fail1
               SOURCES testdebugallocator.cc
               LINK_LIBRARIES dunecommon
               COMPILE_DEFINITIONS "FAILURE1;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
-              EXPECT_FAIL)
+              EXPECT_FAIL
+              CMAKE_GUARD HAVE_MPROTECT)
 
 dune_add_test(NAME testdebugallocator_fail2
               SOURCES testdebugallocator.cc
               LINK_LIBRARIES dunecommon
               COMPILE_DEFINITIONS "FAILURE2;EXPECTED_SIGNAL=SIGABRT"
-              EXPECT_FAIL)
+              EXPECT_FAIL
+              CMAKE_GUARD HAVE_MPROTECT)
 
 dune_add_test(NAME testdebugallocator_fail3
               SOURCES testdebugallocator.cc
               LINK_LIBRARIES dunecommon
               COMPILE_DEFINITIONS "FAILURE3;EXPECTED_SIGNAL=SIGABRT"
-              EXPECT_FAIL)
+              EXPECT_FAIL
+              CMAKE_GUARD HAVE_MPROTECT)
 
 dune_add_test(NAME testdebugallocator_fail4
               SOURCES testdebugallocator.cc
               LINK_LIBRARIES dunecommon
               COMPILE_DEFINITIONS "FAILURE4;DEBUG_ALLOCATOR_KEEP=1;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
-              EXPECT_FAIL)
+              EXPECT_FAIL
+              CMAKE_GUARD HAVE_MPROTECT)
 
 dune_add_test(NAME testdebugallocator_fail5
               SOURCES testdebugallocator.cc
               LINK_LIBRARIES dunecommon
               COMPILE_DEFINITIONS "FAILURE5;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
-              EXPECT_FAIL)
+              EXPECT_FAIL
+              CMAKE_GUARD HAVE_MPROTECT)
 
 dune_add_test(SOURCES testfloatcmp.cc)
 
+dune_add_test(SOURCES to_unique_ptrtest.cc
+              LINK_LIBRARIES dunecommon)
+
 dune_add_test(SOURCES tupleutilitytest.cc)
 
+dune_add_test(SOURCES typeutilitytest.cc)
+
+dune_add_test(SOURCES typelisttest.cc
+              LINK_LIBRARIES dunecommon)
+
 dune_add_test(SOURCES utilitytest.cc)
 
 dune_add_test(SOURCES eigenvaluestest.cc
               LINK_LIBRARIES dunecommon
               CMAKE_GUARD LAPACK_FOUND)
+
+dune_add_test(SOURCES optionaltest.cc
+              LINK_LIBRARIES dunecommon)
+
+dune_add_test(SOURCES versiontest.cc
+              LINK_LIBRARIES dunecommon)
 
 install(
   FILES
+  arithmetictestsuite.hh
+  collectorstream.hh
   testsuite.hh
-  collectorstream.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/test)

=== dune/common/parallel/test/CMakeLists.txt ===
dune_add_test(SOURCES indexsettest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES remoteindicestest.cc
              LINK_LIBRARIES dunecommon
              MPI_RANKS 1 2 4
              TIMEOUT 300
              CMAKE_GUARD MPI_FOUND)

dune_add_test(SOURCES selectiontest.cc
              LINK_LIBRARIES dunecommon)

dune_add_test(SOURCES syncertest.cc
              LINK_LIBRARIES dunecommon
              MPI_RANKS 1 2 4
              TIMEOUT 300
              CMAKE_GUARD MPI_FOUND)

dune_add_test(SOURCES variablesizecommunicatortest.cc
              MPI_RANKS 1 2 4
              TIMEOUT 300
              CMAKE_GUARD MPI_FOUND)

=== debian/changelog ===
dune-common (2.6.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:03:00 +0100

dune-common (2.6.0-4) unstable; urgency=medium

  * no longer ship dune-am2cmake and remove dependency on python2.
    (Closes: #936456)
  * Bumped Standards-Version to 4.4.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 14 Oct 2019 23:27:35 +0200

dune-common (2.6.0-3) unstable; urgency=medium

  * Add runtime dependency on gfortran. Configuring a DUNE project without
    a Fortran compiler fails.
  * autopkgtest: Add dependency on MPI as the test builds and runs an MPI
    program.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jun 2018 09:17:17 +0200

dune-common (2.6.0-2) unstable; urgency=medium

  * Add a simple autopkgtest.  The driver (dune-autopkgtest) is also
    usable by other DUNE modules.
  * Promote CMake from Recommends to Depends.
  * Bumped Standards-Version to 4.1.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 20 Jun 2018 23:37:32 +0200

dune-common (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: now requires cmake >= 3.1

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 03 Apr 2018 00:20:33 +0200

dune-common (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 06 Jan 2018 15:50:50 +0100

dune-common (2.6~20171122-1) experimental; urgency=medium

  * New upstream snapshot (commit: 77b87e7c3931fc70f46be2e4cae7058127c92edf).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 22 Nov 2017 17:38:48 +0100

dune-common (2.6~20171113-2) experimental; urgency=medium

  * arithmetictestsuite: quotient must be representable without error.
    This should correct the build failure on i386.
    + new patch: 0001-quotient-must-be-representable-without-error.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 14 Nov 2017 08:01:05 +0100

dune-common (2.6~20171113-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: add `Rules-Requires-Root: no`
  * d/get-orig-source: no longer include Git commit id in snapshot versions
  * libdune-common-doc: add Built-Using: doxygen (for jquery.js).
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 14 Nov 2017 00:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-common.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-common.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-common
+Vcs-Git: https://salsa.debian.org/science-team/dune-common.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3
+ cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures, python3-sphinx
+Rules-Requires-Root: no
 
 Package: libdune-common-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- pkg-config, python, python-pyparsing
+ cmake (>= 3.1), gfortran, pkg-config
 Breaks: libdune-functions-dev (<< 2.5.0~)
 Replaces: libdune-functions-dev (<< 2.5.0~)
-Recommends: cmake, python3
+Recommends: python3
 Suggests: libdune-common-doc (= ${source:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- basic classes (development files)
@@ -35,6 +36,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- basic classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+DUNE_DEBIAN_ENV := $(CURDIR)/debian/dune-debian.env
 DUNE_CTEST := $(CURDIR)/bin/dune-ctest
 DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol
 include debian/dune-debian.mk
@@ -13,7 +14,7 @@
 	dh_auto_build -- doc
 
 override_dh_install-arch:
-	mv debian/tmp/usr/bin/am2cmake.py debian/tmp/usr/bin/dune-am2cmake
+	rm -f debian/tmp/usr/bin/am2cmake.py
 	mv debian/tmp/usr/bin/git-whitespace-hook debian/tmp/usr/bin/dune-git-whitespace-hook
 	dh_install -a
